library("leaflet")
library("mapview")
library("webshot")
m <- leaflet() |>
    addTiles() |>
    setView(lng = -3.432, lat = 53.1, zoom = 6.4)
# |>
# addMarkers(lat = 55.953251, lng = -3.188267, popup = "Edinburgh") |>
# addMarkers(lat = 51.4545, lng = -2.5879, popup = "Bristol") |>
# addMarkers(popup = "Leeds", lat = 53.8008, lng = -1.5491) |>
# addMarkers(popup = "Reading", lat = 51.455, lng = -0.971)
print(m)

mapshot(m, file = "img/uk-map.png", cliprect = c(20, 365, 395, 600))
